NautilusColumn
3
LIBNAUTILUS-EXTENSION Library

# NautilusColumn

## Synopsis

                        NautilusColumnDetails;
                        NautilusColumn;
    NautilusColumn*     nautilus_column_new                 (const char *name,
                                                             const char *attribute,
                                                             const char *label,
                                                             const char *description);

## Object Hierarchy

      GObject
       +----NautilusColumn

## Properties

      "attribute"                gchar*                : Read / Write
      "attribute-q"              guint                 : Read
      "description"              gchar*                : Read / Write
      "label"                    gchar*                : Read / Write
      "name"                     gchar*                : Read / Write / Construct Only
      "xalign"                   gfloat                : Read / Write

## Description

## Details

### NautilusColumnDetails

    typedef struct _NautilusColumnDetails NautilusColumnDetails;

### NautilusColumn

    typedef struct _NautilusColumn NautilusColumn;

### nautilus_column_new ()

    NautilusColumn*     nautilus_column_new                 (const char *name,
                                                             const char *attribute,
                                                             const char *label,
                                                             const char *description);

Creates a new column

`name` :

  identifier of the column

`attribute` :

  the file attribute to be displayed in the column

`label` :

  the user-visible label for the column

`description` :

  a user-visible description of the column

Returns :

  a newly created NautilusColumn

## Property Details

### The `"attribute"` property

      "attribute"                gchar*                : Read / Write

The attribute name to display.

Default value: NULL

### The `"attribute-q"` property

      "attribute-q"              guint                 : Read

The attribute name to display, in quark form.

Default value: 0

### The `"description"` property

      "description"              gchar*                : Read / Write

A user-visible description of the column.

Default value: NULL

### The `"label"` property

      "label"                    gchar*                : Read / Write

Label to display in the column.

Default value: NULL

### The `"name"` property

      "name"                     gchar*                : Read / Write / Construct Only

Name of the column.

Default value: NULL

### The `"xalign"` property

      "xalign"                   gfloat                : Read / Write

The x-alignment of the column.

Allowed values: [0,1]

Default value: 0